{
    onFoeTryMove(target, source, move) {
        const targetAllExceptions = ["perishsong", "flowershield", "rototiller"];
        if (move.target === "foeSide" || move.target === "all" && !targetAllExceptions.includes(move.id)) {
            return;
        }
        const dazzlingHolder = this.effectState.target;
        if ((source.isAlly(dazzlingHolder) || move.target === "all") && move.priority > 0.1) {
            this.attrLastMove("[still]");
            this.add("cant", dazzlingHolder, "ability: Queenly Majesty", move, "[of] " + target);
            return false;
        }
    },
    onTryBoost(boost, target, source, effect) {
        if (source && target === source)
            return;
        if (boost.spd && boost.spd < 0) {
            delete boost.spd;
            if (!effect.secondaries && effect.id !== "octolock") {
                this.add("-fail", target, "unboost", "Special Defense", "[from] ability: Queenly Majesty", "[of] " + target);
            }
        }
    },
    flags: { breakable: 1 },
    name: "Queenly Majesty",
    rating: 2.5,
    num: 214
}
